---
title: Create Release Approval
description: The Approval feature mentioned is exclusive to Storyblok v1 and discontinued in v2.
url: https://storyblok.com/docs/api/management/approvals/create-release-approval
---

# Create Release Approval

POST

```html
https://mapi.storyblok.com/v1/spaces/:space_id/approvals/
```

The Approval feature mentioned is exclusive to Storyblok v1 and discontinued in v2.

## Path parameters

-   `:space_id` (required) (number)
    
    Numeric ID of a space
    

## Request body properties

-   `approval` (The Approval Object)
    
    The [approval object](/docs/api/management/approvals/the-approval-object)
    
-   `release_id` (number)
    
    ID of the release that should be approved
    

## Response properties

-   `approval` (The Approval Object)
    
    The [approval object](/docs/api/management/approvals/the-approval-object)
    

## Examples

-   cURL
    
    ```shellscript
    curl "https://mapi.storyblok.com/v1/spaces/288868932106293/approvals/" \
      -X POST \
      -H "Authorization: YOUR_OAUTH_TOKEN" \
      -H "Content-Type: application/json" \
      -d "{\"approval\":{\"approver_id\":1030,\"story_id\":1067},\"release_id\":16}"
    ```
    
-   JS
    
    ```javascript
    // storyblok-js-client@>=7, node@>=18
    import Storyblok from "storyblok-js-client";
    
    const storyblok = new Storyblok({
      oauthToken: "YOUR_PERSONAL_ACCESS_TOKEN",
    });
    
    try {
      const response = await storyblok.post('spaces/288868932106293/approvals/', {
        "approval": {
          "approver_id": 1030,
          "story_id": 1067
        },
        "release_id": 16
      })
      console.log({ response })
    } catch (error) {
      console.log(error)
    }
    ```
    
-   PHP
    
    ```php
    $client = new \Storyblok\ManagementClient('YOUR_OAUTH_TOKEN');
    
    $payload = ["approval" => ["approver_id" => 1030,"story_id" => 1067],"release_id" => 16];
    
    $client->post('spaces/288868932106293/approvals/', $payload)->getBody();
    ```
    
-   Java
    
    ```java
    HttpResponse<String> response = Unirest.post("https://mapi.storyblok.com/v1/spaces/288868932106293/approvals/")
      .header("Content-Type", "application/json")
      .header("Authorization", "YOUR_OAUTH_TOKEN")
      .body({"approval":{"approver_id":1030,"story_id":1067},"release_id":16})
      .asString();
    ```
    
-   C#
    
    ```csharp
    var client = new RestClient("https://mapi.storyblok.com/v1/spaces/288868932106293/approvals/");
    var request = new RestRequest(Method.POST);
    
    request.AddHeader("Content-Type", "application/json");
    request.AddHeader("Authorization", "YOUR_OAUTH_TOKEN");
    request.AddParameter("application/json", "{\"approval\":{\"approver_id\":1030,\"story_id\":1067},\"release_id\":16}", ParameterType.RequestBody);
    IRestResponse response = client.Execute(request);
    ```
    
-   Python
    
    ```python
    import requests
    
    url = "https://mapi.storyblok.com/v1/spaces/288868932106293/approvals/"
    
    querystring = {}
    
    payload = {"approval":{"approver_id":1030,"story_id":1067},"release_id":16}
    headers = {
      'Content-Type': "application/json",
      'Authorization': "YOUR_OAUTH_TOKEN"
    }
    
    response = requests.request("POST", url, data=payload, headers=headers, params=querystring)
    
    print(response.text)
    ```
    
-   Ruby
    
    ```ruby
    require 'storyblok'
    client = Storyblok::Client.new(oauth_token: 'YOUR_OAUTH_TOKEN')
    
    payload = {"approval" => {"approver_id" => 1030,"story_id" => 1067},"release_id" => 16}
    
    client.post('spaces/288868932106293/approvals/', payload)
    ```
    
-   Swift
    
    ```swift
    let storyblok = URLSession(storyblok: .mapi(accessToken: .oauth("YOUR_OAUTH_TOKEN")))
    var request = URLRequest(storyblok: storyblok, path: "spaces/288868932106293/approvals/")
    request.httpMethod = "POST"
    request.httpBody = try JSONSerialization.data(withJSONObject: [
        "approval": [
            "approver_id": 1030,
            "story_id": 1067,
        ],
        "release_id": 16,
    ])
    let (data, _) = try await storyblok.data(for: request)
    print(try JSONSerialization.jsonObject(with: data))
    ```
    
-   Kotlin
    
    ```kotlin
    val client = HttpClient {
        install(Storyblok(MAPI)) {
            accessToken = OAuth("YOUR_OAUTH_TOKEN")
        }
    }
    
    val response = client.post("spaces/288868932106293/approvals/") {
        setBody(buildJsonObject {
            putJsonObject("approval") {
                put("approver_id", 1030)
                put("story_id", 1067)
            }
            put("release_id", 16)
        })
    }
    
    println(response.body<JsonElement>())
    ```

Response

```json
{
  "approval": {
    "id": 12,
    "status": "pending"
  }
}
```

## Pagination

-   [Previous: Create Approval](/docs/api/management/approvals/create-approval)
-   [Next: Delete an Approval](/docs/api/management/approvals/delete-an-approval)
